org.codehaus.plexus.component.configurator

## Interface ComponentConfigurator

All Known Implementing Classes:
  AbstractComponentConfigurator, BasicComponentConfigurator, MapOrientedComponentConfigurator

    public interface ComponentConfigurator

Version:
  $Id: ComponentConfigurator.java 2634 2005-10-08 06:33:08Z brett $
Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`void` `configureComponent(Object component, PlexusConfiguration configuration, ClassRealm containerRealm)`
`void` `configureComponent(Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ClassRealm containerRealm)`
`void` `configureComponent(Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ClassRealm containerRealm, ConfigurationListener listener)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### configureComponent

    void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ClassRealm containerRealm)
                            throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### configureComponent

    void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ExpressionEvaluator expressionEvaluator,
                          ClassRealm containerRealm)
                            throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### configureComponent

    void configureComponent(Object component,
                          PlexusConfiguration configuration,
                          ExpressionEvaluator expressionEvaluator,
                          ClassRealm containerRealm,
                          ConfigurationListener listener)
                            throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`